/**
 * Klasse zur Modellierung eines Mnzschachtes.
 * @author R.Punkenburg 
 * @version 22.1.2006
 */
public class Muenzschacht
{
    private int maxAnzahl; // maximale Aufnahmekapazitt des Schachtes
    private int anzahl; // Anzahl der Mnzen im Schacht
    private String typ; // Sorte der Mnzen im Schacht

    /**
     * Konstruktor fr Objekte der Klasse Muenzschacht;
     * Ein Mnzschacht kann maximal 10 Mnzen aufnehmen;
     * Bei der Instanzierung ist er mit 5 Mnzen gefllt
     * @param  typ     Sorte der Mnzen im Schacht
     */
    public Muenzschacht(String typ)
    {
        maxAnzahl = 10;
        anzahl = 5;
        this.typ = typ;
    }
        
    /**
     * Methode, die das Auswerfen von Mnzen darstellt
     */
    public void auswerfen()
    {
        anzahl --;
        //System.out.println("Mnzschacht"+typ+": "+" Rckgabe einer Mnze");
    } // auswerfen
    
    /**
     * Methode zum Abfragen der aktuellen Anzahl der vorhandenen Mnzen
     * @return    Anzahl der Mnzen im Schacht
     */
    public int getAnzahl()
    {
        return anzahl;
    } // getAnzahl
    
    /**
     * Methode zum Erhhen aktuellen Anzahl der vorhandenen Mnzen
     */
    public void aufstocken()
    {
        anzahl ++;
    } // aufstocken
    
    /**
     * Methode zum Test, ob der Mnzschacht vollstndig gefllt ist
     * @return true, falls der Schacht vollstndig gefllt ist, sonst false
     */
    public boolean istVoll()
    {
        return (anzahl == maxAnzahl);
    } // istVoll
    
} // Muenzschacht
